########### general connection settings ##############
# openldap1 (source with inCommon testdata) 
ldap.openldap1.pass = admin
ldap.openldap1.url = ldap://openldap1:389/dc=example,dc=com
ldap.openldap1.user = cn=admin,dc=example,dc=com

# source with custom data (ou=People tree)
ldap.openldap2.url = ldap://openldap2:389/dc=example,dc=com
ldap.openldap2.user = cn=admin,dc=example,dc=com
ldap.openldap2.pass = admin

# target system (ou=People tree)
ldap.openldap3.url = ldap://openldap3:389/dc=example,dc=com
ldap.openldap3.user = cn=admin,dc=example,dc=com
ldap.openldap3.pass = admin


############### prov settings #########################################

provisioner.groupprovtest.class = edu.internet2.middleware.grouper.app.ldapProvisioning.LdapSync
provisioner.groupprovtest.createGroupDuringDiagnostics = true
provisioner.groupprovtest.insertGroups = true
provisioner.groupprovtest.ldapExternalSystemConfigId = openldap1
provisioner.groupprovtest.numberOfGroupAttributes = 4
provisioner.groupprovtest.operateOnGrouperGroups = true
provisioner.groupprovtest.selectAllGroupsDuringDiagnostics = true
provisioner.groupprovtest.showAdvanced = true
provisioner.groupprovtest.showProvisioningDiagnostics = true
provisioner.groupprovtest.targetGroupAttribute.0.fieldName = name
provisioner.groupprovtest.targetGroupAttribute.0.insert = true
provisioner.groupprovtest.targetGroupAttribute.0.isFieldElseAttribute = true
provisioner.groupprovtest.targetGroupAttribute.0.multiValued = false
provisioner.groupprovtest.targetGroupAttribute.0.translateExpression = ${javax.naming.ldap.Rdn.escapeValue(grouperProvisioningGroup.getName())}
provisioner.groupprovtest.targetGroupAttribute.0.translateExpressionType = translationScript
provisioner.groupprovtest.targetGroupAttribute.0.translateGrouperToGroupSyncField = groupToId2
provisioner.groupprovtest.targetGroupAttribute.0.valueType = string
provisioner.groupprovtest.targetGroupAttribute.1.insert = true
provisioner.groupprovtest.targetGroupAttribute.1.isFieldElseAttribute = false
provisioner.groupprovtest.targetGroupAttribute.1.name = gidNumber
provisioner.groupprovtest.targetGroupAttribute.1.translateExpressionType = grouperProvisioningGroupField
provisioner.groupprovtest.targetGroupAttribute.1.translateFromGrouperProvisioningGroupField = idIndex
provisioner.groupprovtest.targetGroupAttribute.1.valueType = long
provisioner.groupprovtest.targetGroupAttribute.2.insert = true
provisioner.groupprovtest.targetGroupAttribute.2.isFieldElseAttribute = false
provisioner.groupprovtest.targetGroupAttribute.2.name = cn
provisioner.groupprovtest.targetGroupAttribute.2.translateExpression = javax.naming.ldap.Rdn.escapeValue(grouperProvisioningGroup.getName()) + ',ou=Groups'}
provisioner.groupprovtest.targetGroupAttribute.2.translateExpressionType = translationScript
provisioner.groupprovtest.targetGroupAttribute.2.valueType = string
provisioner.groupprovtest.targetGroupAttribute.3.insert = true
provisioner.groupprovtest.targetGroupAttribute.3.isFieldElseAttribute = false
provisioner.groupprovtest.targetGroupAttribute.3.multiValued = true
provisioner.groupprovtest.targetGroupAttribute.3.name = objectClass
provisioner.groupprovtest.targetGroupAttribute.3.translateExpression = ${grouperUtil.toSet('top','posixGroup')}
provisioner.groupprovtest.targetGroupAttribute.3.translateExpressionType = translationScript
provisioner.groupprovtest.targetGroupAttribute.3.valueType = string